Bug 10372 - Soundblaster AWE32 fails autodetection
Soundblaster AWE32 fails autodetection
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2000-03-27 12:20 EST by Ian Mitchell
Modified: 2014-03-16 22:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-04-29 10:21:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Mitchell 2000-03-27 12:20:45 EST
In sndconfig it properly identifies the card and it's resources, however
when it writes the /etc/isapnp.conf file it does not properly parse it and
you get an error stating something along CTL4400/ .... Line 342 ... Don't
know what to do with this? Fatal Error

I appologize I can not be more precise as I do not have my computer here
right now. As for getting the sound card to work I can manually enter the
information with sndconfig and then go through and manually edit
the /etc/pnpisa.conf file to get almost everything working, I still don't
have my midi working. But I do now have sound.

This problem did not exist in 5.2, 5.1 or 6.0 to my knowlege.

Maybe this could be an error with conflicts caused by the on board IDE?
Also it seems to be some sort of parsing error in the /etc/pnpisa.conf
file. Hope this helps.
Comment 1 Bill Nottingham 2000-04-14 17:12:59 EDT
Does this still happen with the sndconfig in 6.2?

Do you have any other PnP cards?
Comment 2 Anonymous 2000-04-29 10:11:59 EDT
I have a DXR2 Card and a USR 56K modem (which should not be running in PNP
mode, but it can)

The problem still exists in 6.2.

Upon autodetection the isapnp.conf file is corrupted. Upone manually entering
the resources the card will work, but sndconfig will fail when attempting to
test the midi portion. The error returned is that the awe.o file failed to load
and that /dev/sequencer is not configured correctly.

Can this be a device conflict? It works in other OS's.
Comment 3 Anonymous 2000-04-29 10:21:59 EDT
A side note, this bug sounds a LOT like bugs: 337 and 953.

But with 6.1 an 6.2
Comment 4 Bill Nottingham 2002-01-23 00:07:21 EST
this should be solved with the move to using the kernel's ISAPnP code in 7.1/7.2.

Note You need to log in before you can comment on or make changes to this bug.